aboutsummaryrefslogtreecommitdiff
path: root/scripts/push-repo-mirrors.bash
diff options
context:
space:
mode:
authorAlex Pooley (@zuedev) <zuedev@gmail.com>2026-05-07 23:37:38 +0100
committerAlex Pooley (@zuedev) <zuedev@gmail.com>2026-05-07 23:37:38 +0100
commit73d50af19ed07afc1a2fa02020d0b4ea167160da (patch)
tree0481ca4abb0182bdfdd276e10b441d9a08bcbcda /scripts/push-repo-mirrors.bash
parent46fd86f61d3a3ce1d201428abaf8e1d512ea286a (diff)
downloadgit.zue.dev-73d50af19ed07afc1a2fa02020d0b4ea167160da.tar
git.zue.dev-73d50af19ed07afc1a2fa02020d0b4ea167160da.tar.gz
git.zue.dev-73d50af19ed07afc1a2fa02020d0b4ea167160da.tar.bz2
git.zue.dev-73d50af19ed07afc1a2fa02020d0b4ea167160da.tar.xz
git.zue.dev-73d50af19ed07afc1a2fa02020d0b4ea167160da.zip
surface mirror push error
Diffstat (limited to 'scripts/push-repo-mirrors.bash')
-rw-r--r--scripts/push-repo-mirrors.bash2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/push-repo-mirrors.bash b/scripts/push-repo-mirrors.bash
index 2cdc6a9..bc0ac1e 100644
--- a/scripts/push-repo-mirrors.bash
+++ b/scripts/push-repo-mirrors.bash
@@ -49,7 +49,7 @@ for repository in /repositories/*; do
mirror_host="${mirror#https://}"
echo "Pushing to GitHub mirror: $mirror"
- git push --mirror "https://x-access-token:$GITHUB_TOKEN@$mirror_host" || echo "Failed to push to $mirror"
+ git push --mirror "https://x-access-token:$GITHUB_TOKEN@$mirror_host" 2>&1 | sed "s/$GITHUB_TOKEN/[REDACTED]/g" || echo "Failed to push to $mirror"
;;
*)
echo "Unknown mirror type: $mirror. Skipping."